MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
NfsLease Class Referenceabstract

`#include <Lease.hxx>`

Inheritance diagram for NfsLease:
[legend]

## Public Member Functions
virtual void | OnNfsConnectionReady ()=0
| The NfsConnection has successfully mounted the server's export and is ready for regular operation. More...
virtual void | OnNfsConnectionFailed (std::exception_ptr e)=0
| The NfsConnection has failed to mount the server's export. More...
virtual void | OnNfsConnectionDisconnected (std::exception_ptr e)=0
| The NfsConnection has failed after OnNfsConnectionReady() had been called already. More...

## Detailed Description

Definition at line 27 of file Lease.hxx.

## Member Function Documentation

virtual void NfsLease::OnNfsConnectionDisconnected | ( | std::exception_ptr | e | ) |
| pure virtual

The NfsConnection has failed after OnNfsConnectionReady() had been called already.

virtual void NfsLease::OnNfsConnectionFailed | ( | std::exception_ptr | e | ) |
| pure virtual

The NfsConnection has failed to mount the server's export.

This is being called instead of OnNfsConnectionReady().

virtual void NfsLease::OnNfsConnectionReady | ( |  | ) |
| pure virtual

The NfsConnection has successfully mounted the server's export and is ready for regular operation.

The documentation for this class was generated from the following file:

- lib/nfs/Lease.hxx